| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# IG::Num::VectorFunctionResultsDto Class Reference

DTO (Data Transfer Objects) for storing contents of vector function results. More...

Inheritance diagram for IG::Num::VectorFunctionResultsDto:
[legend]
Collaboration diagram for IG::Num::VectorFunctionResultsDto:
[legend]

List of all members.

## Public Member Functions
| VectorFunctionResultsDto ()
| Default constructor.
## Public Attributes
int | ErrorCode
| Error code. 0 - everything is OK. negative value - something went wrong.
String | ErrorString
| Error string indicating what went wrong.
bool | CalculatedValues
| Indicates whether calculation of functions is/was requested.
bool | CalculatedGradients
| Indicates whether calculation of functions' gradients is/was requested.
bool | CalculatedHessians
| Indicates whether calculation of functions' Hessian is/was requested.
double[] | Values
VectorDtoBase[] | Gradients
MatrixDtoBase[] | Hessians
## Protected Member Functions
override void | CopyFromPlain (VectorFunctionResults vectorFunctionRes)
| Copies data to the current DTO from an vector function results results object.
override void | CopyToPlain (ref VectorFunctionResults vectorFunctionRes)
| Copies data from the current DTO to a vector function results object.

## Detailed Description

DTO (Data Transfer Objects) for storing contents of vector function results.

$A Igor May10;

## Constructor & Destructor Documentation

IG::Num::VectorFunctionResultsDto::VectorFunctionResultsDto | ( |  | ) | `[inline]`

Default constructor.

## Member Function Documentation

override void IG::Num::VectorFunctionResultsDto::CopyFromPlain | ( | VectorFunctionResults | vectorFunctionRes | ) | `[inline, protected]`

Copies data to the current DTO from an vector function results results object.

Parameters:

  vectorFunctionRes | Vector function results object from which data is copied.

Reimplemented from IG::Num::VectorFunctionRequestDTO.

override void IG::Num::VectorFunctionResultsDto::CopyToPlain | ( | ref VectorFunctionResults | vectorFunctionRes | ) | `[inline, protected]`

Copies data from the current DTO to a vector function results object.

Parameters:

  vec | Vector object that data is copied to.

Reimplemented from IG::Num::VectorFunctionRequestDTO.

## Member Data Documentation

int IG::Num::VectorFunctionResultsDto::ErrorCode

Error code. 0 - everything is OK. negative value - something went wrong.

String IG::Num::VectorFunctionResultsDto::ErrorString

Error string indicating what went wrong.

bool IG::Num::VectorFunctionResultsDto::CalculatedValues

Indicates whether calculation of functions is/was requested.

bool IG::Num::VectorFunctionResultsDto::CalculatedGradients

Indicates whether calculation of functions' gradients is/was requested.

bool IG::Num::VectorFunctionResultsDto::CalculatedHessians

Indicates whether calculation of functions' Hessian is/was requested.

double [] IG::Num::VectorFunctionResultsDto::Values

VectorDtoBase [] IG::Num::VectorFunctionResultsDto::Gradients

MatrixDtoBase [] IG::Num::VectorFunctionResultsDto::Hessians

The documentation for this class was generated from the following file:

- VectorFunctionResultsDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events